Bug 16603 - Hide option to apply directly when processing uploaded offline circulation file
Summary: Hide option to apply directly when processing uploaded offline circulation file
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Nick Clemens
URL: /cgi-bin/koha/offline_circ/process_ko...
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2016-05-26 15:01 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16603: When processing uploaded offline circulation file, "apply directly" option fails (1.75 KB, patch)
2017-12-01 18:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16603: When processing uploaded offline circulation file, "apply directly" option fails (1.77 KB, patch)
2018-01-16 01:09 UTC, Grace
Details | Diff | Splinter Review
Bug 16603: When processing uploaded offline circulation file, "apply directly" option fails (1.83 KB, patch)
2018-01-19 14:14 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16603: (QA Follow-up) Add a FIXME (1.25 KB, patch)
2018-01-19 14:14 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-05-26 15:01:27 UTC
I have an offline circulation file which was generated by the Windows offline circulation program. If I upload this file and choose "Add to offline circulation queue" it works as expected.

If I upload the same file and choose "Apply directly," the process never completes. Firebug shows a seemingly never-ending series of calls to /cgi-bin/koha/tools/background-job-progress.pl?jobID=8c20822320e5fbd7579aa1f61411ba00 but nothing happens.
Comment 1 Owen Leonard 2017-12-01 18:27:30 UTC
Created attachment 69454 [details] [review]
Bug 16603: When processing uploaded offline circulation file, "apply directly" option fails

This patch is a temporary mitigation of whatever the real problem is.
The patch hides the "Apply directly" button so that the option isn't
available.

To test, apply the patch and generate a .koc file with some
transactions. Upload the file via Circulation -> Offline
circulation file upload. After the file is uploaded, you should see only
a "Add to offline circulation queue" button, which should work
correctly.
Comment 2 Grace 2018-01-16 01:09:25 UTC
Created attachment 70528 [details] [review]
Bug 16603: When processing uploaded offline circulation file, "apply directly" option fails

This patch is a temporary mitigation of whatever the real problem is.
The patch hides the "Apply directly" button so that the option isn't
available.

To test, apply the patch and generate a .koc file with some
transactions. Upload the file via Circulation -> Offline
circulation file upload. After the file is uploaded, you should see only
a "Add to offline circulation queue" button, which should work
correctly.

Signed-off-by: Grace Smyth <gracesmythh@gmail.com>
Comment 3 Nick Clemens 2018-01-19 14:14:22 UTC
Created attachment 70746 [details] [review]
Bug 16603: When processing uploaded offline circulation file, "apply directly" option fails

This patch is a temporary mitigation of whatever the real problem is.
The patch hides the "Apply directly" button so that the option isn't
available.

To test, apply the patch and generate a .koc file with some
transactions. Upload the file via Circulation -> Offline
circulation file upload. After the file is uploaded, you should see only
a "Add to offline circulation queue" button, which should work
correctly.

Signed-off-by: Grace Smyth <gracesmythh@gmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Nick Clemens 2018-01-19 14:14:25 UTC
Created attachment 70747 [details] [review]
Bug 16603: (QA Follow-up) Add a FIXME

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Nick Clemens 2018-01-19 14:15:13 UTC
Would be better to fix, but I didn't see the problem in a quick look. This prevents the error for user so PQA
Comment 6 Jonathan Druart 2018-01-19 18:24:08 UTC
(In reply to Nick Clemens from comment #5)
> Would be better to fix, but I didn't see the problem in a quick look. This
> prevents the error for user so PQA

Can someone open another bug report please?
Comment 7 Jonathan Druart 2018-01-19 18:55:32 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 8 Nick Clemens 2018-01-23 04:13:43 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 9 Fridolin SOMERS 2018-01-31 08:28:53 UTC
Pushed to 17.05.x for v17.05.09